using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using EFBTracker.Tracking;
using MongoDB.Bson.Serialization.Attributes;
using MongoDB.Bson;
using MongoDB.Driver;

namespace EFBTracker.Mongo
{
    public class SimPositionModel
    {
        [BsonId]
        public ObjectId Id { get; set; }
        public string EMail { get; set; } = "";
        public DateTime LatestPacketUpdate { get; set; }
        public SimPosition? LatestPosition { get; set; } = null;

        public SimPositionModel(string email, SimPosition position){
            EMail = email;
            LatestPacketUpdate = DateTime.Now;
            LatestPosition = position;
        }
        
    }
}